<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: sort_insertion/insertion_sort.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_38ddcfd837390fabfe1d352f48e8e73e.html">sort_insertion</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">insertion_sort.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="insertion__sort_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef INSERTION_SORT_H</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define INSERTION_SORT_H</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef INSERTION_SORT_TYPE</span></div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="insertion__sort_8h.html#ac5aa4e1bc7290be0022fe07b1d18f7bd">   10</a></span>&#160;<span class="preprocessor">#define INSERTION_SORT_TYPE uint32_t</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//#define INSERTION_SORT_HEADER_ONLY</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifdef INSERTION_SORT_HEADER_ONLY</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define INSERTION_SORT_SPEC static inline</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="insertion__sort_8h.html#a5f7d834c9e47043f4eecd8d6c5d2098a">   19</a></span>&#160;<span class="preprocessor">#define INSERTION_SORT_SPEC</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<a class="code" href="insertion__sort_8h.html#a5f7d834c9e47043f4eecd8d6c5d2098a">INSERTION_SORT_SPEC</a> <span class="keywordtype">void</span> <a class="code" href="insertion__sort_8h.html#ae7a95d854e957de9f8fb3f02fbf6528a">insertion_sort</a>(<a class="code" href="insertion__sort_8h.html#ac5aa4e1bc7290be0022fe07b1d18f7bd">INSERTION_SORT_TYPE</a>* data, uint32_t length);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifdef INSERTION_SORT_HEADER_ONLY</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="insertion__sort_8c.html">insertion_sort.c</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="insertion__sort_8c_html"><div class="ttname"><a href="insertion__sort_8c.html">insertion_sort.c</a></div></div>
<div class="ttc" id="insertion__sort_8h_html_ac5aa4e1bc7290be0022fe07b1d18f7bd"><div class="ttname"><a href="insertion__sort_8h.html#ac5aa4e1bc7290be0022fe07b1d18f7bd">INSERTION_SORT_TYPE</a></div><div class="ttdeci">#define INSERTION_SORT_TYPE</div><div class="ttdef"><b>Definition:</b> insertion_sort.h:10</div></div>
<div class="ttc" id="insertion__sort_8h_html_ae7a95d854e957de9f8fb3f02fbf6528a"><div class="ttname"><a href="insertion__sort_8h.html#ae7a95d854e957de9f8fb3f02fbf6528a">insertion_sort</a></div><div class="ttdeci">INSERTION_SORT_SPEC void insertion_sort(INSERTION_SORT_TYPE *data, uint32_t length)</div><div class="ttdef"><b>Definition:</b> insertion_sort.c:8</div></div>
<div class="ttc" id="insertion__sort_8h_html_a5f7d834c9e47043f4eecd8d6c5d2098a"><div class="ttname"><a href="insertion__sort_8h.html#a5f7d834c9e47043f4eecd8d6c5d2098a">INSERTION_SORT_SPEC</a></div><div class="ttdeci">#define INSERTION_SORT_SPEC</div><div class="ttdef"><b>Definition:</b> insertion_sort.h:19</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
